Bug 360621 - kernel dm crypt: memory leaks and workqueue memory exhaustion
kernel dm crypt: memory leaks and workqueue memory exhaustion
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
Martin Jenner
:
Depends On:
Blocks: RHEL5.1-DiskEnc
  Show dependency treegraph
 
Reported: 2007-10-31 13:28 EDT by Milan Broz
Modified: 2013-02-28 23:05 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2007-10-31 13:28:52 EDT
There are several bugfixes in upstream dm-crypt code which

- fixes some memory leaks in dm-crypt
  commit 55b42c5ae9c048de25233434afc7b71b01bee9e6
  commit 815f9e32709b014a459919176a4f0feebd42731e

- fixes possible memory exhaustion and deadlock if many io requests are queued
and improves pefrormance on smp system
  commit 9934a8bea2fc67e6f07d74304eca2a91d251bfe8
  commit cabf08e4d3d1181d7c408edae97fb4d1c31518af

- fixes panics on device removal (temporary mapping in cryptsetup)
  commit 80b16c192e469541263d6bfd9177662ceb632ecc

This bugzilla covers backporting of these fixes.
Comment 1 RHEL Product and Program Management 2007-10-31 13:45:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2007-12-17 14:37:21 EST
in 2.6.18-61.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 errata-xmlrpc 2008-05-21 11:00:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.